import { HorizontalScroll as FoundationHorizontalScroll, defaultHorizontalScrollConfig, foundationHorizontalScrollShadowOptions, } from '@genesislcap/foundation-ui';
import { zeroHorizontalScrollStyles as styles } from './horizontal-scroll.styles';
import { zeroHorizontalScrollTemplate as template } from './horizontal-scroll.template';
/**
 * @tagname %%prefix%%-horizontal-scroll
 */
export class HorizontalScroll extends FoundationHorizontalScroll {
}
export const zeroHorizontalScroll = HorizontalScroll.compose(Object.assign({ baseName: 'horizontal-scroll', template,
    styles, shadowOptions: foundationHorizontalScrollShadowOptions }, defaultHorizontalScrollConfig));
